Loading...
Searching...
No Matches
Dune::Functions::HierarchicNodeToRangeMap Struct Reference

A simple node to range map using the nested tree indices. More...

`#include <dune/functions/functionspacebases/hierarchicnodetorangemap.hh>`

## Public Member Functions

template<class Node, class TreePath, class Range, std::enable_if_t< models< Concept::HasIndexAccess, Range, Dune::index_constant< 0 > >(), int > = 0>
decltype(auto) | operator() (const Node &, const TreePath &treePath, Range &&y) const
template<class Node, class TreePath, class Range, std::enable_if_t< not models< Concept::HasIndexAccess, Range, Dune::index_constant< 0 > >(), int > = 0>
decltype(auto) | operator() (const Node &, const TreePath &, Range &&y) const

## Detailed Description

A simple node to range map using the nested tree indices.

This map directly usses the tree path entries of the given node to access the nested container.

If the container does not provide any operator[] access, it is simply forwarded for all nodes.

## Member Function Documentation

## operator()() [1/2]

template<class Node, class TreePath, class Range, std::enable_if_t< not models< Concept::HasIndexAccess, Range, Dune::index_constant< 0 > >(), int > = 0>

decltype(auto) Dune::Functions::HierarchicNodeToRangeMap::operator() | ( | const Node & | ,
|  | const TreePath & | ,
|  | Range && | y ) const

inline

## operator()() [2/2]

template<class Node, class TreePath, class Range, std::enable_if_t< models< Concept::HasIndexAccess, Range, Dune::index_constant< 0 > >(), int > = 0>

decltype(auto) Dune::Functions::HierarchicNodeToRangeMap::operator() | ( | const Node & | ,
|  | const TreePath & | treePath,
|  | Range && | y ) const

inline

The documentation for this struct was generated from the following file:

- hierarchicnodetorangemap.hh